Subject: Re: [RFC] TCP Vegas for 2.6

From: "David S. Miller" <[email-masked]>
Date: Mon, 8 Mar 2004 15:37:23 -0800

On Mon, 8 Mar 2004 13:45:42 -0800
Stephen Hemminger <[email-masked]> wrote:

> There is redundancy in the control block now, perhaps that could be squished,
> fields that are only used during connection setup or if other things are true.
> Also there seems to be several one byte wide booleans that could be collapsed
> to bits.

That's right, and this is where we should concentrate our efforts.
The things that are truly unique in the TCB for westwood and vegas
are actually quite small.